﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace EFCore5Console.Migrations
{
    public partial class wildlife : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "WildlifeSighting",
                columns: table => new
                {
                    Id = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    Description = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    DateTime = table.Column<DateTime>(type: "datetime2", nullable: false),
                    AddressId = table.Column<int>(type: "int", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_WildlifeSighting", x => x.Id);
                    table.ForeignKey(
                        name: "FK_WildlifeSighting_Addresses_AddressId",
                        column: x => x.AddressId,
                        principalTable: "Addresses",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.InsertData(
                table: "WildlifeSighting",
                columns: new[] { "Id", "AddressId", "DateTime", "Description" },
                values: new object[,]
                {
                    { 1, 1, new DateTime(2020, 8, 15, 10, 18, 36, 750, DateTimeKind.Local).AddTicks(2229), "Bear" },
                    { 2, 1, new DateTime(2020, 8, 15, 10, 18, 36, 753, DateTimeKind.Local).AddTicks(5840), "Bear Cub #1" },
                    { 3, 1, new DateTime(2020, 8, 15, 10, 18, 36, 753, DateTimeKind.Local).AddTicks(5887), "Bear Cub #2" },
                    { 4, 1, new DateTime(2020, 8, 15, 10, 18, 36, 753, DateTimeKind.Local).AddTicks(5893), "Bear Cub #3" },
                    { 5, 1, new DateTime(2020, 8, 15, 10, 18, 36, 753, DateTimeKind.Local).AddTicks(5897), "Squirrel" },
                    { 6, 1, new DateTime(2020, 8, 15, 10, 18, 36, 753, DateTimeKind.Local).AddTicks(5901), "Garter Snake" }
                });

            migrationBuilder.CreateIndex(
                name: "IX_WildlifeSighting_AddressId",
                table: "WildlifeSighting",
                column: "AddressId");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "WildlifeSighting");
        }
    }
}
